org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class FindFirstStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.FindFirstStageVerification

    public class FindFirstStageVerification
    extends java.lang.Object

Verification for find first stage.

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `findFirstStageShouldBeReusable()`
`void` `findFirstStageShouldCancelUpstream()`
`void` `findFirstStageShouldFindTheFirstElement()`
`void` `findFirstStageShouldFindTheFirstElementInSingleElementStream()`
`void` `findFirstStageShouldPropagateErrors()`
`void` `findFirstStageShouldReturnEmptyForEmptyStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### findFirstStageShouldFindTheFirstElement

    public void findFirstStageShouldFindTheFirstElement()

#### findFirstStageShouldFindTheFirstElementInSingleElementStream

    public void findFirstStageShouldFindTheFirstElementInSingleElementStream()

#### findFirstStageShouldReturnEmptyForEmptyStream

    public void findFirstStageShouldReturnEmptyForEmptyStream()

#### findFirstStageShouldCancelUpstream

    public void findFirstStageShouldCancelUpstream()

#### findFirstStageShouldPropagateErrors

    public void findFirstStageShouldPropagateErrors()

#### findFirstStageShouldBeReusable

    public void findFirstStageShouldBeReusable()